@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500&display=swap');

* {
  margin: 0;
  padding: 0;
 /* box-sizing: border-box;*/
}



body {
  font-family: 'Montserrat', sans-serif;
  font-weight: 500; /* Możesz zmieniać wagę czcionki */
  margin: 0;
  padding: 0;
}


header {
  display: flex; /* Dodajemy flexbox */
  justify-content: center; /* Wyśrodkowanie w poziomie */
  align-items: center; /* Wyśrodkowanie w pionie */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 10vh;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  z-index: 90;
}
.menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1200px;
  margin: 0 auto;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
}

.nav-links {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
}

.nav-links li {
  margin-left: 20px;
}

.nav-links li a {
  color: white;
  text-decoration: none;
  padding: 8px 12px;
  transition: color 0.3s ease;
}

.nav-links li a:hover {
  color: #007bff;
}

.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  border: 0;
  background: transparent;
  padding: 10px;
}

.bar {
  width: 25px;
  height: 3px;
  background-color: white;
  margin: 3px 0;
  transition: transform 0.3s ease-in-out;
}

.hamburger.active .bar:nth-child(1) {
  transform: rotate(-45deg) translate(-5px, 6px);
}

.hamburger.active .bar:nth-child(2) {
  opacity: 0;
}

.hamburger.active .bar:nth-child(3) {
  transform: rotate(45deg) translate(-5px, -6px);
}


/* Style dla mniejszych ekranów */
@media (max-width: 768px) {
  .nav-links {
      display: none;
      position: absolute;
      top: 60px; /* Wysokość nagłówka */
      left: 0;
      background-color: rgba(0, 0, 0, 0.9);
      width: 100%;
      flex-direction: column;
      align-items: center;
      padding: 20px 0;
      text-align: center;
  }

  .nav-links.active {
      display: flex;
  }

  .nav-links li {
      margin: 15px 0;
  }

  .hamburger {
      display: flex;
  }
}

@media (max-width: 768px) {
  .menu ul {
      display: none;

  }
  .menu.active ul {
      display: flex;
      transform: translateX(0);
  }
  .menu ul li {
      margin: 0 0;
  }
  .hamburger {
      display: block;
  }
  header {
      flex-wrap: nowrap;
      justify-content: space-between;
  }
  .logo{
      color: #000;
  }
}



.parallax {
  height: 100vh;
  background-image: url('background4.jpg');
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  margin-top: -100px;
  position: relative;
  z-index: 1;
}

/* Sekcja Hero */
#hero {
    background-color:#0047AB; /* Tło dla sekcji hero */
    padding: 20px 0;
    display: flex;
  width: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*height: 40vh; /* Pełna wysokość ekranu */
    text-align: center;
    position: relative;
    z-index: 1; /* Hero nad nagłówkiem */
    margin-top: -25vh;
    }
  
    @media (max-width: 768px) {
      #hero {
          width: 100%;
          background-color: #0047AB;
          padding: 20px 0;
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;
          text-align: center;
          position: relative;
          z-index: 1;
          margin-top: -40vh;
      }
  
      .parallax {
          background-size: auto;
      }
  
      .form-container {
          display: flex;
          flex-direction: column; /* Układ kolumnowy */
          width: 100%; /* Pełna szerokość kontenera */
      }
  
      .form-item {
          width: 100%; /* Pełna szerokość elementu formularza */
          margin-bottom: 10px; /* Dodaj margines dolny dla odstępu */
      }
  
      .check-availability {
          width: 100%; /* Pełna szerokość przycisku */
      }
  }

  .hero-content {
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
  }
  
  /* Nagłówki */
  #hero h1 {
    font-size: 50px;
    color: rgb(255, 255, 255);
    margin-bottom: 20px;
  }
  
  #hero a{
    color: white;
    text-decoration: none;
  }

  #hero h2 {
    font-size: 24px;
    color: rgb(255, 255, 255);
    margin-bottom: 20px;
  }

  #hero .text-overlay {
    font-size: 3rem;
    font-weight: bold;
    text-transform: uppercase;
    background: url('background3.jpg'); /* Ten sam obraz co w tle */
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
    -webkit-text-fill-color: transparent; /* Tekst przezroczysty */
    text-align: center;
    z-index: 1;
  }
  
  /* Formularz */
  #hero .form-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap; /* Formularz się łamał, aby zmieścić na mniejszych ekranach */
    width: 90%; /* Ustalamy szerokość formularza na 90% */
    max-width: 1200px; /* Maksymalna szerokość formularza */
    box-sizing: border-box;
    
  }

  #hero .form-item {
    display: none;
    /* display: flex;*/
    flex-direction: column;
    align-items: center;
  }
  
  #hero label {
    font-size: 14px;
    color: #fff;
    margin-bottom: 5px;
  }
  
  #hero input[type="date"], input[type="number"], input[type="text"]{
    padding: 10px 15px;
    height: 45px;
    border: 1px solid #ddd;
    border-radius: 5px;
    width: 200px; /* Szerokość inputów */
    font-size: 14px;
    margin-bottom: 40px;
  }
  
  #hero button.check-availability {
    padding: 10px ;
    height: 45px;
    background-color:#afafaf;
    color: rgb(255, 255, 255);
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
    margin-top: 40px; /* Ustalamy, że przycisk będzie przyklejony do dołu */
    margin-bottom: 40px;
    border: #afafaf solid;
    
  }
  
  #hero button.check-availability:hover {
    background-color: #0047AB;
    border: #ffffff solid;
  }


/* Sekcja O nas */

p, h2 {
  margin: 0;

}

#about {
  padding-top: 0px;
  background-color:white;
  position: relative;
  z-index: 1;
}

#about article {
  padding: 2%;
  font-size: 140%;
}

#about img {
  width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
}

.about {
  display: flex;
  flex-direction: row-reverse;
  justify-content: center;
  gap: 10px;
  align-items: center;
}

#icons {
  padding: 20px 0;
  background-color:#CFE2FF;
  text-align: center;
  position: relative;
  z-index: 2;
  margin-bottom: 0px;
}

.icons-container {
  padding: 2% 10%;
}

.icons-container ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.icons-container ul li {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#icons img {
  width: 52px; /* Dostosuj rozmiar obrazków */
  height: auto;
  transition: opacity 0.3s ease;
}

#icons img:hover {
  opacity: 0.7;
}

.icon-description {
  font-size: 16px;
  margin-top: 5px;
  color: #666;
  text-decoration: none;
}

.icons-container ul li a {
  text-decoration: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  color: inherit;
}

.icons-container ul li a:hover .icon-description {
  color: #555;
}

.ramka {
  padding-top: 2%;
  width: 50%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.ramka h2 {
  margin-bottom: 10px;
  font-size: 200%;
}

.ramka p {
  font-size: 110%;
  line-height: 1.6;
  margin-bottom: 5px;
}

.ramka a.button {
  align-self: center;
  padding: 10px 5px;
  margin-top: 20px;
  background-color:white;
  border-radius: 5px;
  font-size: 120%;
}

#gallery {
  padding: 20px 0; /* Dodano padding */
  text-align: center;
  background-color:white; /* Jasny odcień błękitu */
  position: relative;
  z-index: 2;
}

.gallery-header {
  margin-bottom: 20px; /* Zwiększono margines */
  background-color: #0047AB;
  padding: 20px;
  color: white;
}

.gallery-header img {
  width: 64px;
  height: auto;
  display: block;
  margin: 0 auto 10px auto;
}

.gallery-header h2 {
  font-size: 32px;
  color: white;
}

.gallery-images {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 20px;
}

.gallery-item {
  width: 250px;
  height: auto;
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
  cursor: pointer;
}

.gallery-item img {
  width: 100%;
  height: auto;
  transition: transform 0.3s ease;
}

.gallery-item:hover {
  transform: scale(1.05);
}


.gallery-item:hover img {
  transform: scale(1.1);
}

.more-images {
  margin-top: 20px;
}

.more-images a {
  text-decoration: none;
  color: #0047AB;
  font-weight: bold;
}

.lightbox {
  display: none;
  position: fixed;
  z-index: 1000;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}

#lightbox-image {
  display: block;
  max-width: 90%;
  max-height: 90%;
  object-fit: contain;
}

.close-lightbox {
  position: absolute;
  top: 20px;
  right: 30px;
  color: #f1f1f1;
  font-size: 30px;
  font-weight: bold;
  cursor: pointer;
  transition: color 0.3s ease;
}

.close-lightbox:hover,
.close-lightbox:focus {
  color: #bbb;
  text-decoration: none;
}

.prev-lightbox,
.next-lightbox {
  background: none;
  border: none;
  color: #f1f1f1;
  font-size: 2em;
  cursor: pointer;
  outline: none;
  transition: color 0.3s ease;
  padding: 10px;
}

.prev-lightbox:hover,
.next-lightbox:hover {
  color: #bbb;
}

.prev-lightbox {
  position: absolute;
  left: 20px;
  top: 50%;
  transform: translateY(-50%);
}


.next-lightbox {
  position: absolute;
  right: 40px;
  top: 50%;
  transform: translateY(-50%);
}

@media (max-width: 768px) {
  .lightbox {
      position: fixed;
      z-index: 1000;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(0, 0, 0, 0.8);
      justify-content: center;
      align-items: center;
  }

  #lightbox-image {
      max-width: 95%;
      max-height: 85%;
  }

  .close-lightbox {
      top: 10px;
      right: 20px;
      font-size: 24px;
  }

  .prev-lightbox,
  .next-lightbox {
      font-size: 1.5em;
      padding: 5px;
  }

  .prev-lightbox {
      left: 10px;
  }

  .next-lightbox {
      right: 10px;
  }
}

/*----XXXX---Sekcja plaże----XXXX----*/

#nearby-beaches {
  background-image: url('pic_main/beachMain.jpg');
  background-size: cover;
  background-position: center;
  height: 60vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: white;
  position: relative;
  z-index: 1; /* Dodano z-index */
}

.beach-content {
  background-color: rgba(255, 255, 255, 0.7);
  padding: 40px;
  border-radius: 10px;
  width: 80%;
  max-width: 45%;
}

.beach-content h2 {
  font-size: 3em;
  margin-bottom: 20px;
  color: #333;
}

.beach-content p {
  font-size: 1.2em;
  margin-bottom: 30px;
  color: #555;
}

.beach-button {
  display: inline-block;
  padding: 15px 30px;
  background-color: #0047AB;
  border: #0047AB solid;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  font-size: 1.2em;
  transition: background-color 0.3s ease;
}

.beach-button:hover {
  background-color:#CFE2FF;
  color: #0047AB;
  border: #0047AB solid;
}
/*----XXXX---Restauracje---XXXX----*/
.przerwa
{

  padding: 10px;
  background-color: white;
  position: relative;
  z-index: 1;
}
#nearby-restaurants {
  background-image: url('pic_main/restaurantMain.jpg'); /* Zmień na obraz restauracji */
  background-size: cover;
  background-position: center;
  height: 60vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: white;
  position: relative;
  z-index: 1;
}

.restaurant-content {
  background-color: rgba(255, 255, 255, 0.7);
  padding: 40px;
  border-radius: 10px;
  width: 80%;
  max-width: 45%;
}

.restaurant-content h2 {
  font-size: 3em;
  margin-bottom: 20px;
  color: #333;
}

.restaurant-content p {
  font-size: 1.2em;
  margin-bottom: 30px;
  color: #555;
}

.restaurant-button {
  display: inline-block;
  padding: 15px 30px;
  background-color: #0047Ab;
  border: #0047AB solid;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  font-size: 1.2em;
  transition: background-color 0.3s ease;
}

.restaurant-button:hover {
  background-color:#CFE2FF;
  color: #0047AB;
  border: #0047AB solid;
}
/*----XXXX---Wycieczki---XXXX----*/
#tours {
  background-image: url('pic_main/toursMain.jpg'); /* Zmień na obraz restauracji */
  background-size: cover;
  background-position: center;
  height: 60vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  color: white;
  position: relative;
  z-index: 1;
}

.tours-content {
  background-color: rgba(255, 255, 255, 0.7);
  padding: 40px;
  border-radius: 10px;
  width: 80%;
  max-width: 45%;
}

.tours-content h2 {
  font-size: 3em;
  margin-bottom: 20px;
  color: #333;
}

.tours-content p {
  font-size: 1.2em;
  margin-bottom: 30px;
  color: #555;
}

.tours-button {
  display: inline-block;
  padding: 15px 30px;
  background-color: #0047AB; 
  border: #0047AB solid;
  color: white;
  text-decoration: none;
  border-radius: 5px;
  font-size: 1.2em;
  transition: background-color 0.3s ease;
}

.tours-button:hover {
  background-color:#CFE2FF;
  color: #0047AB;
  border: #0047AB solid;
}

/*----XXXX---Social media---XXXX----*/

#social-media {
  background-color: #0047AB;
  padding: 40px 0;
  text-align: center;
  width: 100%;
  position: relative;
  z-index: 1;
}

#social-media a{
  padding: 5px;
  margin: 20px;
}

#social-media h2 {
  color: white;
  font-size: 24px;
  margin-bottom: 20px;
}



.social-icons {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.social-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  margin: 0 10px;
  border-radius: 50%;
  background-color: #ddd;
  color: #333;
  font-size: 24px;
  text-decoration: none;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.social-icon:hover {
  background-color: #007bff;
  color: white;
}

.fa-facebook {
  color: #3b5998;
}

.fa-instagram {
  color: #e4405f;
}

.fa-tiktok {
  color: #000000;
}

.fa-whatsapp {
  color: #25d366;
}


.hidden {
    display: none;
  }
  
  #customAlert {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    color: #333;
    text-align: center;
    padding: 70px;
    width: 70vb; /* Pełna szerokość */
    height: 150px; /* Wysokość menu */
    border: 2px solid #333;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    z-index: 1000;
  }
  
  #customAlert p {
    margin: 0 0 10px 0;
  }
  
  #customAlert button {
    padding: 5px 10px;
    background-color:#000000;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 40px;
    margin-bottom: 5px;
  }
  
  #customAlert button:hover {
    background-color: #2a3d4b;
  }

  #overlay {
    /*display: none; /* Ukryte domyślnie */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
  }

  #popup {
    display: flex;
    flex-direction: column;
    position: fixed;
    top: 50%;
    left: 50%;
    width: 50%;
    height: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    z-index: 1000;
    align-items: center;
    text-align: center;
  }

  #popup p1 {
    padding-top: 10%;
    font-size: large;
    color: rgb(10, 10, 10);
    margin-bottom: 20px;

  }
  


  #underConstruction button{
    padding: 10px ;
    background-color: #2a3d4b;
    color: rgb(255, 255, 255);
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: medium;
    margin-top: auto; /* Ustalamy, że przycisk będzie przyklejony do dołu */
    margin-bottom: 5%;
    border: #afafaf solid;
  }
  
  #underConstruction button:hover  {
    background-color:#afafaf;
    border:#2a3d4b solid;
  }


#underConstructionnapis{
    padding: 10px;
}


.przerwa{
    height: 10%;
}
@media (max-width: 768px) {
    .menu ul {
        flex-direction: column; /* Układ pionowy */
        gap: 10px; /* Mniejsze odstępy */
    }

    .menu {
        left: 5px; /* Mniejsze marginesy */
        bottom: 5px;
    }
    .icons-container {
      padding: 0 5%; /* Mniejszy padding na mniejszych ekranach */
  }
  .icons-container ul {
    flex-direction: column; /* Stack items vertically on small screens */
    align-items: center;  /* Center items horizontally */
  }
  .icons-container li {
      width: 100%; /* Make each item take full width */
      max-width: 200px; /* limit the width */
      margin-left: auto;
      margin-right: auto;
      padding: 15px;
  }

  .about {
    display: flex;
    width: 100%;
    flex-direction: column;
    justify-content: center;
    gap: 0px;
    align-items: center;
    font-weight: lighter;
    font-size: small;
    margin-left: 0;
    margin-right: 0;
  }
  .ramka {
    padding-top: 2%;
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }
  .beach-content h2 {
    font-size: 1.5em;
    margin-bottom: 10px;
    color: #333;
  }
  
  .beach-content p {
    font-size: 1em;
    margin-bottom: 10px;
    color: #555;
  }

  .restaurant-content h2 {
    font-size: 1.5em;
    margin-bottom: 20px;
    color: #333;
  }
  
  .restaurant-content p {
    font-size: 1em;
    margin-bottom: 30px;
    color: #555;
  }

  .tours-content h2 {
    font-size: 1.5em;
    margin-bottom: 20px;
    color: #333;
  }
  
  .tours-content p {
    font-size: 1em;
    margin-bottom: 30px;
    color: #555;
  }
  
  .iframe{
    max-width: 768px;

  }
}

/* Basic info */

#basic-info {
    padding: 20px;
    color: white;
    background-color: black;
}

.basic-info-container {
    max-width: 1200px;
    margin: 0 auto;
    text-align: center;
}

.section-separator {
    border: 1px solid white;
    margin: 20px auto;
    width: 100px;
}

.info-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    margin-top: 20px;
}

.info-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #111111;
}

.info-item i {
    font-size: 24px;
    margin-bottom: 10px;
    color: #007bff;
}

.info-item h3 {
    font-size: 18px;
    margin-bottom: 10px;
    color: white;
}

.info-item p {
    font-size: 16px;
    color: #eee;
    text-align: center;
}

.info-item a {
    color: #00b8ff;
    text-decoration: none;
}

.info-item a:hover {
    text-decoration: underline;
    color: #00b8ff;
}

@media (max-width: 768px) {
    .info-grid {
        grid-template-columns: 1fr;
    }
}


footer {
  background-color: #f8f9fa;
  padding: 20px;
  margin-top: 20px;
  border-top: 1px solid #ddd;
}

.iframe-crop {
  max-width: 100%;
  overflow: hidden;
  height: 1070px; /* konkretnie przycinamy - testuj różne wartości */
  position: relative;
}

.iframe {
  position: relative;
  padding-bottom: 75%; /* zachowujemy proporcje 4:3 */
  height: 0;
  max-width: 100%;
}

.iframe iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

@media (max-width: 600px) {
  .iframe-crop {
    height: 90vw; /* responsywna wysokość przy mniejszych ekranach */
  }

  .iframe {
    padding-bottom: 100%; /* bardziej kwadratowy kalendarz */
  }

}
